#include "IsPlayerOpeningAlreadyOpenedChest.h"
#include "Net/UnrealNetwork.h"

void UIsPlayerOpeningAlreadyOpenedChest::OnRep_IsInteractionWithChestThatHasBeenOpened()
{

}

void UIsPlayerOpeningAlreadyOpenedChest::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UIsPlayerOpeningAlreadyOpenedChest, _isInteractionWithChestThatHasBeenOpened);
}

UIsPlayerOpeningAlreadyOpenedChest::UIsPlayerOpeningAlreadyOpenedChest()
{
	this->_isInteractionWithChestThatHasBeenOpened = false;
}
